-- Setup Tables
if cc==nil then cc={} end
cc.tf2knife={}

-- Load & Prepare Ressources
cc.tf2knife.gfx_wpn=loadgfx("weapons/TF2/knife.bmp")						-- Weapon Image
setmidhandle(cc.tf2knife.gfx_wpn)
cc.tf2knife.sfx_attack=loadsfx("splatter0.wav")

--------------------------------------------------------------------------------
-- Weapon: tf2knife
--------------------------------------------------------------------------------

cc.tf2knife.id=addweapon("cc.tf2knife","Butterfly Knife",cc.tf2knife.gfx_wpn, 0, 2)	-- Add Weapon

function cc.tf2knife.draw()												-- Draw
	-- Decrease Timer (used for arm animation)
	if weapon_timer>0.0 then
		weapon_timer=weapon_timer-0.5
	end
	-- Draw
	if getplayeraction(0)==0 then
		setblend(blend_alpha)
		setalpha(1)
		setcolor(255,255,255)
		setscale(-getplayerdirection(0),1)
		setrotation(0)
		drawimage(cc.tf2knife.gfx_wpn,getplayerx(0)+getplayerdirection(0)*9,getplayery(0)+2-weapon_timer)
	end
end

function cc.tf2knife.attack(attack)										-- Attack
	if (weapon_shots<=0) then
		if (attack==1) then
			-- No more weapon switching!
			useweapon(0)
			playsound(cc.tf2knife.sfx_attack)
			weapon_shots=weapon_shots+1
			-- Set timer for arm animation
			weapon_timer=7
			-- Collision (side)
			col1=0
			if collision(col5x5,getplayerx(0)+getplayerdirection(0)*20,getplayery(0)-3,0,1)==1 then
				if playercollision()~=0 and playercollision()~=playercurrent() then
			if
				getplayerdirection(0)==getplayerdirection(playercollision()) then			
					playsound(cc.tf2knife.sfx_attack)
					playerdamage(playercollision(),100)
				else
					playsound(cc.tf2knife.sfx_attack)
					playerdamage(playercollision(),30)
					--
					col1=playercollision()
					particle(p_ring,getplayerx(playercollision()),getplayery(playercollision()))
					particlecolor(255,0,0)
					blood(getplayerx(playercollision()),getplayery(playercollision()))
				end
			end
		end
			-- Collision (top)
			if collision(col20x20,getplayerx(0),getplayery(0)-30,0,1)==1 then
				if playercollision()~=0 and playercollision()~=playercurrent() and playercollision()~=col1 then
			if
				getplayerdirection(0)==getplayerdirection(playercollision()) then			
					playsound(cc.tf2knife.sfx_attack)
					playerdamage(playercollision(),100)
				else
					playsound(cc.tf2knife.sfx_attack)
					playerdamage(playercollision(),30)
					particle(p_ring,getplayerx(playercollision()),getplayery(playercollision()))
					particlecolor(255,0,0)
					blood(getplayerx(playercollision()),getplayery(playercollision()))
				end
			end
		end
			-- End Turn
			endturn()
		end
	end
end